ChangeSet 1.968, 2002/12/30 17:15:20-08:00, greg@kroah.com

USB: fix up init_module and cleanup_module mess in speedtouch driver


diff -Nru a/drivers/usb/misc/speedtouch.c b/drivers/usb/misc/speedtouch.c
--- a/drivers/usb/misc/speedtouch.c	Mon Dec 30 22:52:13 2002
+++ b/drivers/usb/misc/speedtouch.c	Mon Dec 30 22:52:13 2002
@@ -1007,7 +1007,7 @@
 *
 ****************************************************************************/
 
-int udsl_usb_init (void)
+static int udsl_usb_init (void)
 {
 	int i;
 
@@ -1022,25 +1022,15 @@
 	return usb_register (&udsl_usb_driver);
 }
 
-int udsl_usb_cleanup (void)
+static void udsl_usb_cleanup (void)
 {
 	/* killing threads */
 	udsl_atm_sar_stop ();
 	usb_deregister (&udsl_usb_driver);
-	return 0;
 }
 
-#ifdef MODULE
-int init_module (void)
-{
-	return udsl_usb_init ();
-}
-
-int cleanup_module (void)
-{
-	return udsl_usb_cleanup ();
-}
-#endif
+module_init(udsl_usb_init);
+module_exit(udsl_usb_cleanup);
 
 #ifdef DEBUG_PACKET
 /*******************************************************************************
